Bug 215939 - devel/binutils add s390x child port
Summary: devel/binutils add s390x child port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-10 14:26 UTC by Bjoern A. Zeeb
Modified: 2019-08-07 21:47 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments
s390x-binutils support (6.43 KB, patch)
2017-01-10 14:26 UTC, Bjoern A. Zeeb
no flags Details | Diff
Updated patch for latest ports (6.13 KB, patch)
2019-08-07 21:08 UTC, Bjoern A. Zeeb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern A. Zeeb freebsd_committer 2017-01-10 14:26:53 UTC
Created attachment 178713 [details]
s390x-binutils support

Add binutils support for s390x.  Straight forward, as, e.g., aarch64.

New files in devel/s390x-binutils ; new patch file added to the binutils port.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-14 03:43:27 UTC
Maintainer feedback?
Comment 2 Bjoern A. Zeeb freebsd_committer 2018-11-02 14:27:56 UTC
I am resetting this to ports@ as it's approaching the end of year 2 waiting...
Comment 3 Baptiste Daroussin freebsd_committer 2018-11-02 15:35:57 UTC
please commit it, you know 2 weeks time out would have applied long ago :)
Comment 4 Bjoern A. Zeeb freebsd_committer 2018-11-02 16:02:36 UTC
I am not a ports person and it likely needs updates and fixing by now.
I am happy to test if someone can properly do it.
Comment 5 Bjoern A. Zeeb freebsd_committer 2019-08-07 17:25:42 UTC
Any ports committer, can you please have a look.  It's such a simple child-port.
Comment 6 Bjoern A. Zeeb freebsd_committer 2019-08-07 21:08:27 UTC
Created attachment 206345 [details]
Updated patch for latest ports

Updated the patch to the latest binutils in the ports tree.
Comment 7 commit-hook freebsd_committer 2019-08-07 21:47:14 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Aug  7 21:47:05 UTC 2019
New revision: 508352
URL: https://svnweb.freebsd.org/changeset/ports/508352

Log:
  Add devel/s390x-binutils, GNU binutils for s390x cross-development

  PR:		215939
  Submitted by:	bz

Changes:
  head/devel/Makefile
  head/devel/binutils/files/patch-s390x.diff
  head/devel/s390x-binutils/
  head/devel/s390x-binutils/Makefile
  head/devel/s390x-binutils/pkg-plist
Comment 8 Li-Wen Hsu freebsd_committer 2019-08-07 21:47:33 UTC
Committed with minor pkg-plist fixes, and connect to devel/Makefile